org.apache.fontbox.ttf.gsub

## Class GsubWorkerFactory

- java.lang.Object
- - org.apache.fontbox.ttf.gsub.GsubWorkerFactory

    public class GsubWorkerFactory
    extends Object

Gets a `Language` specific instance of a `GsubWorker`

Author:
  Palash Ray

### Constructor Summary

Constructors
Constructor and Description
`GsubWorkerFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GsubWorker` `getGsubWorker(CmapLookup cmapLookup, GsubData gsubData)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GsubWorkerFactory

    public GsubWorkerFactory()

### Method Detail

#### getGsubWorker

    public GsubWorker getGsubWorker(CmapLookup cmapLookup,
                                    GsubData gsubData)